﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using System.Threading;


namespace WpfApplication1
{

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        EntityCollection entityCollection = null;
        public MainWindow()
        {
            //System.Threading.Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("ru-Ru",false);
            //System.Threading.Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("ru-Ru",false);

            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            string months = "MainWindow Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
            months = "MainWindow UI Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentUICulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());    
            
            InitializeComponent();

        
            entityCollection = new EntityCollection();
            myGrid.DataContext = entityCollection;
            LocalizeInfragisticsControls();
        }

        /// <summary>
        /// Localize Infragistics controls resource strings
        /// </summary>
        private static void LocalizeInfragisticsControls()
        {
           
            Infragistics.Windows.Resources.Customizer.SetCustomizedString("SpecialFilterOperand_ThisMonth_DisplayContent", Enerprise_Common_ResourceStrings.Infragistics_Text_SpecialFilterOperand_ThisMonth_DisplayContent);
            Infragistics.Windows.Resources.Customizer.SetCustomizedString("SpecialFilterOperand_ThisQuarter_DisplayContent", Enerprise_Common_ResourceStrings.Infragistics_Text_SpecialFilterOperand_ThisQuarter_DisplayContent);
        }

        private void myGrid_CustomFilterSelectionControlOpening(object sender, Infragistics.Windows.DataPresenter.Events.CustomFilterSelectionControlOpeningEventArgs e)
        {
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();

            string months = "CFilter Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
            months = "CFilter UI Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentUICulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
        }

      

        private void myGrid_RecordFilterDropDownOpening(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterDropDownOpeningEventArgs e)
        {
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();

            string months = "RFOpening Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
            months = "RFOpening UI Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentUICulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
        }

        private void myGrid_RecordFilterDropDownPopulating(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterDropDownPopulatingEventArgs e)
        {
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();

            string months = "RFPopulating Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
            months = "RFPopulating UI Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentUICulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
        }

        private void myGrid_RecordFilterChanged(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterChangedEventArgs e)
        {
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentCulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentCulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("ru-Ru", false);
            Thread.CurrentThread.CurrentUICulture.ClearCachedData();
            string months = "RFChanged Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentCulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
            months = "RFChanged UI Months: ";
            foreach (string m in System.Threading.Thread.CurrentThread.CurrentUICulture.DateTimeFormat.MonthNames)
            {
                months = months + " " + m.ToString() + "\r\n";
            }
            MessageBox.Show(months.ToString());
        }
    }
}
